Package ec.spatial

# Class SpatialMultiPopCoevolutionaryEvaluator

java.lang.Object
ec.Evaluator
ec.coevolve.MultiPopCoevolutionaryEvaluator
ec.spatial.SpatialMultiPopCoevolutionaryEvaluator

All Implemented Interfaces:
  `Setup`, `Singleton`, `Serializable`

public class SpatialMultiPopCoevolutionaryEvaluator extends MultiPopCoevolutionaryEvaluator
SpatialMultiPopCoevolutionaryEvaluator implements a coevolutionary evaluator involving multiple spatially-embedded subpopulations. You ought to use it in conjuction with SpatialTournamentSelection (for selecting current-generation individuals, set the tournament selection size to 1, which will pick randomly from the space).

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ec.coevolve.MultiPopCoevolutionaryEvaluator

  `numCurrent, numGuru, numPrev, numShuffled, P_NUM_GURU, P_NUM_IND, P_NUM_RAND_IND, P_NUM_SHUFFLED, P_SELECTION_METHOD_CURRENT, P_SELECTION_METHOD_PREV, P_SUBPOP`

  ### Fields inherited from class ec.Evaluator

  `masterproblem, P_IAMSLAVE, P_MASTERPROBLEM, p_problem, P_PROBLEM, runComplete`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SpatialMultiPopCoevolutionaryEvaluator()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Individual`
  `produce(SelectionMethod method, int subpopulation, int individual, EvolutionState state, int thread)`

  ### Methods inherited from class ec.coevolve.MultiPopCoevolutionaryEvaluator

  `afterCoevolutionaryEvaluation, beforeCoevolutionaryEvaluation, evaluatePopulation, performCoevolutionaryEvaluation, produceCurrent, producePrevious, runComplete, setup, shouldEvaluateSubpop, shuffle`

  ### Methods inherited from class ec.Evaluator

  `closeContacts, initializeContacts, postEvaluationGlobalUpdate, postEvaluationLocalUpdate, reinitializeContacts, setRunComplete`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SpatialMultiPopCoevolutionaryEvaluator

    public SpatialMultiPopCoevolutionaryEvaluator()

- ## Method Details

  - ### produce

    protected Individual produce(SelectionMethod method, int subpopulation, int individual, EvolutionState state, int thread)